petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscSpaceDestroy

Destroys a PetscSpace object

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscSpaceDestroy(PetscSpace *sp)

Collective on PetscSpace

### Input Parameter

sp -the PetscSpace object to destroy

### See Also

PetscSpaceView()

### Level

developer

### Location

src/dm/dt/space/interface/space.c

### Implementations

PetscSpaceDestroy_Point in src/dm/dt/space/impls/point/spacepoint.c
PetscSpaceDestroy_Polynomial in src/dm/dt/space/impls/poly/spacepoly.c
PetscSpaceDestroy_Subspace in src/dm/dt/space/impls/subspace/spacesubspace.c
PetscSpaceDestroy_Tensor in src/dm/dt/space/impls/tensor/spacetensor.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages